import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.waap.analytics.get_requests(
start="2024-04-13T00:00:00+01:00",
)
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/waap"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Waap.Analytics.GetRequests(context.TODO(), waap.AnalyticsGetRequestsParams{
Start: "2024-04-13T00:00:00+01:00",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/waap/v1/analytics/requests \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v1/analytics/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 123,
"offset": 123,
"count": 123,
"results": [
{
"id": "<string>",
"path": "<string>",
"client_ip": "<string>",
"method": "<string>",
"rule_name": "<string>",
"country": "<string>",
"action": "<string>",
"rule_id": "<string>",
"domain": "<string>",
"domain_id": 123,
"user_agent": "<string>",
"user_agent_client": "<string>",
"organization": "<string>",
"request_time": 123,
"reference_id": "<string>",
"status_code": 123,
"result": "passed",
"traffic_types": "<string>",
"decision": "blocked",
"optional_action": "captcha",
"session_id": "",
"scheme": "https",
"http_version": "1.1",
"ja3": "e7d705a3286e19ea42f587b344ee6865"
}
]
}{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}Get request log data
Retrieve request log data over account’s domains. The log records every request passing through WAAP towards the origin server. Deprecated. Use GET /v2/analytics/events instead.
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.waap.analytics.get_requests(
start="2024-04-13T00:00:00+01:00",
)
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/waap"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Waap.Analytics.GetRequests(context.TODO(), waap.AnalyticsGetRequestsParams{
Start: "2024-04-13T00:00:00+01:00",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
List of domain IDs. Empty list means all domains belonging to the current account.
Domain ID
[1, 2, 3]
Results sorting order.
"request_time"
"-request_time"
Filter data items starting from a specified date in ISO 8601 format
"2024-04-13T00:00:00+01:00"
Filter data items up to a specified end date in ISO 8601 format. If not provided, defaults to the current date and time.
"2024-04-14T12:00:00Z"
Number of items to return
0 <= x <= 100Number of items to skip
0 <= x <= 100000Filter traffic data by client IP.
10["1.2.3.4", "2001:678:194::3c25:ddad"]
Filter by URL path. '*' is wildcard.
["/home", "/users/*/profile"]
Filter data by a country code of the originating IP address in ISO 3166-1 alpha-2 format.
^\w{2}$["DE", "MY"]
Filter data by HTTP response status code.
100 <= x <= 599["403", "499"]
Filter by HTTP methods
An HTTP method of a request.
DELETE, GET, HEAD, OPTIONS, PATCH, POST, PUT, TRACE ["GET", "HEAD"]
Filter data by reference IDs.
^[a-f0-9]{32}$["1140fcddf208cbdf01694e8e2f818a68"]
Filter data by request IDs.
^[a-f0-9]{32}-[0-9]{6}$["96763b8fb655e9f18a2e04097b704e39-458959"]
Exclude data by request IDs.
^[a-f0-9]{32}-[0-9]{6}$["96763b8fb655e9f18a2e04097b704e39-458959"]
Filter data by session IDs.
^[a-f0-9]{32}$["edab69d73b47cfecc3d3c038ada6c7de"]
Filter data by name of a security rule matched the request.
100^[a-zA-Z0-9_ ~!@#$%^&*()+\[\]{}|.,;:<>?/-]*$["SQL injection"]
Filter data by decision.
Filter data by the event decision.
blocked, monitored, allowed, passed ["allowed", "blocked"]
Filter data by optional action.
An optional action that may be applied in addition to the primary decision.
captcha, challenge ["captcha", "challenge"]
Exclude traffic data by client IP.
["1.2.3.4", "2001:678:194::3c25:ddad"]
Exclude data by a country code of the originating IP address in ISO 3166-1 alpha-2 format.
^\w{2}$["DE", "MY"]
Exclude data by session IDs.
^[a-f0-9]{32}$Exclude data by reference IDs.
^[a-f0-9]{32}$Exclude data by name of a security rule matched the request.
100^[a-zA-Z0-9_ ~!@#$%^&*()+\[\]{}|.,;:<>?/-]*$["SQL injection"]
Exclude data by domain ID.
Filter by JA3 TLS client fingerprint. Each value must be exactly 32 hexadecimal characters (mixed case allowed) and is case-folded to lowercase when the backend filter is built. Supply multiple values to match any of them. Omit the parameter to apply no JA3 filter.
10^[0-9a-fA-F]{32}$["e7d705a3286e19ea42f587b344ee6865"]
Filter by JA4 TLS client fingerprint. When present, the value must match the JA4 form <ja4_a>_<ja4_b>_<ja4_c> (a 10-character prefix and two 12-character hexadecimal hashes, mixed case allowed) and is case-folded to lowercase when the backend filter is built. Supply multiple values to match any of them. Omit the parameter entirely to apply no JA4 filter.
10^[0-9a-zA-Z]{10}_[0-9a-fA-F]{12}_[0-9a-fA-F]{12}$["t13d3113h2_e8f1e7e78f70_ce5650b735ce"]
Include entries whose user agent contains any of the supplied texts, case-insensitive partial match. Omit or provide an empty list to apply no user agent text filter.
10300["Mozilla/5.0", "python-requests"]
Include entries whose parsed user agent client exactly equals any supplied value. Omit or provide an empty list to apply no user agent client filter.
1050["Chrome", "Firefox"]
Include entries whose parsed user agent device exactly equals any supplied value. Omit or provide an empty list to apply no user agent device filter.
1050["mac", "Nokia", "PlayStation"]
Include entries whose tag exactly equals any supplied value. Omit or provide an empty list to apply no tag filter.
550["evasiveclient", "injectionattack"]
Include entries whose organization exactly equals any supplied value. Omit or provide an empty list to apply no organization filter.
10100["Example Org", "Acme Corp"]
Exclude entries whose user agent contains any of the supplied texts, case-insensitive partial match. Omit or provide an empty list to apply no user agent text exclusion.
10300["python-requests", "bot"]
Exclude entries whose parsed user agent client exactly equals any supplied value. Omit or provide an empty list to apply no user agent client exclusion.
1050["OpenAI GPTBot", "Uptimerobot"]
Exclude entries whose parsed user agent device exactly equals any supplied value. Omit or provide an empty list to apply no user agent device exclusion.
1050["SMART TV"]
Exclude entries whose JA3 TLS client fingerprint matches any of the supplied values. Each value must be exactly 32 hexadecimal characters (mixed case allowed) and is case-folded to lowercase when the backend filter is built. Supply multiple values to exclude any of them. Omit the parameter to apply no JA3 exclusion.
10^[0-9a-fA-F]{32}$["e7d705a3286e19ea42f587b344ee6865"]
Exclude entries whose JA4 TLS client fingerprint equals any of the supplied values. An item must match the JA4 form <ja4_a>_<ja4_b>_<ja4_c> (a 10-character prefix and two 12-character hexadecimal hashes, mixed case allowed) and is case-folded to lowercase when the backend filter is built. Omit the parameter to apply no JA4 exclusion.
10^[0-9a-zA-Z]{10}_[0-9a-fA-F]{12}_[0-9a-fA-F]{12}$["t13d3113h2_e8f1e7e78f70_ce5650b735ce"]
Exclude entries whose tag exactly equals any supplied value. Omit or provide an empty list to apply no tag exclusion.
550["mousedevice"]
Exclude entries whose organization exactly equals any supplied value. Omit or provide an empty list to apply no organization exclusion.
10100["Acme corp"]
Exclude entries with any of the given HTTP response status codes.
100 <= x <= 599["500", "501"]
Exclude entries with any of the given HTTP methods.
An HTTP method of a request.
DELETE, GET, HEAD, OPTIONS, PATCH, POST, PUT, TRACE ["POST", "PUT"]
Exclude entries that match any of the given optional action values.
An optional action that may be applied in addition to the primary decision.
captcha, challenge ["captcha", "challenge"]
Exclude entries that match any of the given decisions.
Decision applied to a request.
blocked, monitored, allowed, passed ["allowed", "blocked"]
Exclude entries that match the given URL path pattern; '*' is wildcard.
["/home", "/users/*/profile"]
Response
Successful Response
Was this page helpful?